cascading.flow.hadoop

## Class HadoopFlowStep

- java.lang.Object
- - cascading.flow.planner.BaseFlowStep<JobConf>
  - - cascading.flow.hadoop.HadoopFlowStep

- All Implemented Interfaces:
    cascading.flow.FlowStep<JobConf>, cascading.flow.planner.process.ProcessModel, cascading.util.ProcessLogger, Serializable
  Direct Known Subclasses:
    MapReduceFlowStep

      public class HadoopFlowStep
      extends cascading.flow.planner.BaseFlowStep<JobConf>

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class cascading.flow.planner.BaseFlowStep

      `elementGraph, flowNodeGraph, flowStepStats, sinks, sources, tempSink`

    - ### Fields inherited from interface cascading.flow.FlowStep

      `CASCADING_FLOW_STEP_ID`

    - ### Fields inherited from interface cascading.util.ProcessLogger

      `NULL`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `HadoopFlowStep()`
    `` | `HadoopFlowStep(cascading.flow.planner.graph.ElementGraph elementGraph, cascading.flow.planner.process.FlowNodeGraph flowNodeGraph)`
    `protected` | `HadoopFlowStep(String name, int ordinal)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clean(JobConf config)` Method clean removes any temporary files used by this FlowStep instance.
    `protected void` | `cleanIntermediateData(JobConf config, cascading.tap.Tap sink)`
    `protected cascading.flow.planner.FlowStepJob<JobConf>` | `createFlowStepJob(cascading.management.state.ClientState clientState, cascading.flow.FlowProcess<JobConf> flowProcess, JobConf initializedStepConfig)`
    `JobConf` | `createInitializedConfig(cascading.flow.FlowProcess<JobConf> flowProcess, JobConf parentConfig)`
    `Map<Object,Object>` | `getConfigAsProperties()`
    `protected void` | `initFromSink(cascading.flow.FlowProcess<JobConf> flowProcess, JobConf conf)`
    `protected void` | `initFromSources(cascading.flow.FlowProcess<JobConf> flowProcess, JobConf conf)`
    `protected void` | `initFromTraps(cascading.flow.FlowProcess<JobConf> flowProcess, JobConf conf)`
    `boolean` | `isHadoopLocalMode(JobConf conf)`

    - ### Methods inherited from class cascading.flow.planner.BaseFlowStep

      `addAllGroups, addGroup, addGroups, addListener, addProcessAnnotation, addProcessAnnotation, addSink, addSinks, addSource, addSources, clean, commitSinks, configure, containsPipeNamed, createClientState, equals, fireOnCompleted, fireOnRunning, fireOnStarting, fireOnStopping, fireOnThrowable, getAllAccumulatedSources, getAllOperations, getAllStreamedSources, getAnnotations, getConfig, getCreateFlowStepJob, getElementGraph, getFlow, getFlowID, getFlowName, getFlowNodeGraph, getFlowStepDescriptor, getFlowStepJob, getFlowStepStats, getGroup, getGroups, getID, getName, getNextFlowElement, getNextScope, getNodeDisplayName, getNumFlowNodes, getOrdinal, getPreviousScopes, getProcessAnnotations, getSink, getSinkElements, getSinkName, getSinkTaps, getSinkWith, getSourceElements, getSourceName, getSourceTaps, getSourceWith, getStepDisplayName, getStepDisplayName, getSubmitPriority, getTrap, getTrapMap, getTraps, hashCode, hasListeners, initConfFromNodeConfigDef, initConfFromStepConfigDef, isDebugEnabled, isInfoEnabled, logDebug, logError, logError, logInfo, logWarn, logWarn, logWarn, prepareResources, removeListener, rollbackSinks, setConfig, setFlow, setFlowName, setFlowStepDescriptor, setFlowStepStats, setName, setOrdinal, setSubmitPriority, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### HadoopFlowStep

          protected HadoopFlowStep()

    - #### HadoopFlowStep

          protected HadoopFlowStep(String name,
                                   int ordinal)

    - #### HadoopFlowStep

          public HadoopFlowStep(cascading.flow.planner.graph.ElementGraph elementGraph,
                                cascading.flow.planner.process.FlowNodeGraph flowNodeGraph)

  - ### Method Detail

    - #### getConfigAsProperties

          public Map<Object,Object> getConfigAsProperties()

      Specified by:
        `getConfigAsProperties` in interface `cascading.flow.FlowStep<JobConf>`
      Overrides:
        `getConfigAsProperties` in class `cascading.flow.planner.BaseFlowStep<JobConf>`

    - #### createInitializedConfig

          public JobConf createInitializedConfig(cascading.flow.FlowProcess<JobConf> flowProcess,
                                                 JobConf parentConfig)

      Specified by:
        `createInitializedConfig` in class `cascading.flow.planner.BaseFlowStep<JobConf>`

    - #### isHadoopLocalMode

          public boolean isHadoopLocalMode(JobConf conf)

    - #### createFlowStepJob

          protected cascading.flow.planner.FlowStepJob<JobConf> createFlowStepJob(cascading.management.state.ClientState clientState,
                                                                                  cascading.flow.FlowProcess<JobConf> flowProcess,
                                                                                  JobConf initializedStepConfig)

      Specified by:
        `createFlowStepJob` in class `cascading.flow.planner.BaseFlowStep<JobConf>`

    - #### clean

          public void clean(JobConf config)

      Method clean removes any temporary files used by this FlowStep instance. It will log any IOExceptions thrown.
      Specified by:
        `clean` in class `cascading.flow.planner.BaseFlowStep<JobConf>`
      Parameters:
        `config` - of type JobConf

    - #### cleanIntermediateData

          protected void cleanIntermediateData(JobConf config,
                                               cascading.tap.Tap sink)

    - #### initFromSources

          protected void initFromSources(cascading.flow.FlowProcess<JobConf> flowProcess,
                                         JobConf conf)

    - #### initFromSink

          protected void initFromSink(cascading.flow.FlowProcess<JobConf> flowProcess,
                                      JobConf conf)

    - #### initFromTraps

          protected void initFromTraps(cascading.flow.FlowProcess<JobConf> flowProcess,
                                       JobConf conf)

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.